--- title: "Mark Channel as Read" slug: "mark-channel-as-read" status: "update" updated: 2026-09-15T13:58:27Z published: 2026-09-15T13:58:27Z canonical: "developer.rocket.chat/mark-channel-as-read" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Mark Channel as Read Post/api/v1/subscriptions.read ### Changelog | Version | Description | | --- | --- | | 3.11.0 | `roomId` can be used as argument instead of `rid`. | | 0.61.0 | Added | Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersRoomId ```json { "roomId": "L6su9mxwdDkvdSaT9hvzu8z6mHFigiXy6Y" } ``` Rid ```json { "rid": "L6su9mxwdDkvdSaT9hvzu8z6mHFigiXy6Y" } ``` AnyOfobjectobjectroomIdstring Required The room ID. ExampleL6su9mxwdDkvdSaT9hvzu8z6mHFigiXy6Y readThreadsboolean objectobjectridstring Required The room ID. ExampleL6su9mxwdDkvdSaT9hvzu8z6mHFigiXy6Y readThreadsboolean Responses200 OK Success ```json { "success": true } ``` object successboolean 400 Bad Request Invalid Parameter ```json { "success": false, "error": "must have required property 'rid'\n must have required property 'roomId'\n must match a schema in anyOf [invalid-params]", "errorType": "invalid-params" } ``` object successboolean errorstring errorTypestring 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring